Deals

List All Deals

get

Returns a list of your deals, which can be filtered by CampaignId, Scope, State, and Type.

Path parameters
AccountSIDstringRequired
Query parameters
CampaignIdintegerOptional

Filter deals by the ID of the associated campaign.

Scopestring · enumOptional

Filter deals by the extent to which they apply.

Possible values:
Statestring · enumOptional

Filter deals by their current state.

Possible values:
Typestring · enumOptional

Filter deals by what they do.

Possible values:
Responses
200

A paginated list of deal objects.

application/json
get
/Advertisers/{AccountSID}/Deals
200

A paginated list of deal objects.

Create a Deal

post

Creates a new deal with specified attributes and restrictions.

Path parameters
AccountSIDstringRequired
Body
CampaignIdintegerRequired

The unique identifier of the campaign the deal belongs to.

Example: 10000
NamestringRequired

The display name of the deal.

Example: AcmeDeal3
Scopestring · enumRequired

What the deal applies to.

Example: PRODUCTPossible values:
Typestring · enumRequired

The type of deal.

Example: GENERAL_SALEPossible values:
DescriptionstringOptional

A description of the deal that may be shown to partners.

Example: 10% off Acme tennis balls
StartDatestring · date-timeOptional

The date and time the deal becomes active.

Example: 2026-01-01T00:00:00-08:00
EndDatestring · date-timeOptional

The date and time the deal expires.

Example: 2026-12-31T23:59:59-08:00
SynchAdsPromoCodesbooleanOptional

Whether to synchronize promo codes with ads.

Default: falseExample: false
ProductNamestringOptional

Required if Scope is PRODUCT.

CategoriesstringOptional

Required if Scope is CATEGORY.

RestrictedMediaPartnersstringOptional

Comma-separated list of Partner IDs.

RestrictedMediaPartnerGroupsstringOptional

Comma-separated list of Partner Group IDs.

DefaultPromoCodestringOptional

The default promo code partners can promote for this deal.

Example: APlusAnvils
DiscountTypestring · enumOptional

How the discount is calculated.

Example: FIXEDPossible values:
DiscountAmountnumber · decimalOptional

The flat discount amount, when DiscountType is FIXED.

Example: 5
DiscountCurrencystringOptional

Three-letter ISO 4217 currency code for the discount amount.

Example: USD
DiscountPercentnumber · floatOptional

The discount percentage, when DiscountType is PERCENT.

Example: 10
GiftstringOptional

The gift offered, when Type is GIFT_WITH_PURCHASE.

RebateAmountnumber · decimalOptional

The rebate amount, when Type is REBATE.

Example: 0
RebateCurrencystringOptional

Three-letter ISO 4217 currency code for the rebate amount.

Example: USD
BogoBuyNamestringOptional

Name of the item the customer must buy in a BOGO deal.

BogoBuyQuantityintegerOptional

Quantity the customer must buy in a BOGO deal.

Example: 0
BogoBuyScopestring · enumOptional

Whether the "buy" requirement is a specific product or category.

Example: PRODUCTPossible values:
BogoGetNamestringOptional

Name of the item the customer receives in a BOGO deal.

BogoGetQuantityintegerOptional

Quantity the customer receives in a BOGO deal.

BogoGetScopestring · enumOptional

Whether the "get" item is a specific product or category.

Possible values:
BogoGetDiscountTypestring · enumOptional

How the discount on the "get" item is calculated.

Possible values:
BogoGetDiscountAmountnumber · decimalOptional

The flat discount amount on the "get" item.

BogoGetDiscountPercentnumber · floatOptional

The discount percentage on the "get" item.

Responses
200

The deal was created successfully.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected deal.

post
/Advertisers/{AccountSID}/Deals
200

The deal was created successfully.

Get Deal Details

get

Retrieves the object of an existing deal by its unique ID.

Path parameters
AccountSIDstringRequired
DealIdintegerRequired

The unique identifier for the deal.

Responses
200

A single deal object.

application/json
IdintegerOptional

The unique identifier for the deal.

Example: 3
NamestringOptional

The display name of the deal.

Example: AcmeDeal3
Descriptionstring · nullableOptional

A description of the deal that may be shown to partners.

CampaignIdintegerOptional

The unique identifier of the campaign the deal belongs to.

Example: 10000
Statestring · enumOptional

The current state of the deal.

Example: ACTIVEPossible values:
Typestring · enumOptional

The type of deal — what it offers.

Example: GENERAL_SALEPossible values:
Scopestring · enumOptional

What the deal applies to.

Example: PRODUCTPossible values:
Categoriesstring · nullableOptional

Comma-separated list of categories the deal applies to, when Scope is CATEGORY.

DiscountTypestring · enum · nullableOptional

How the discount is calculated.

Example: FIXEDPossible values:
DiscountAmountnumber · decimal · nullableOptional

The flat discount amount, when DiscountType is FIXED.

Example: 5
DiscountCurrencystring · nullableOptional

Three-letter ISO 4217 currency code for the discount amount.

Example: USD
MinimumPurchaseAmountnumber · decimalOptional

Minimum amount the consumer needs to spend for the deal to apply.

MinimumPurchaseAmountCurrencystringOptional

Currency of the deal's minimum purchase amount (ISO 4217).

MaximumSavingsAmountnumber · decimalOptional

Maximum amount a consumer can save when the deal applies.

MaximumSavingsCurrencystringOptional

Currency of the deal's maximum savings (ISO 4217).

DiscountPercentnumber · float · nullableOptional

The discount percentage, when DiscountType is PERCENT.

Example: 10
DiscountMaximumPercentnumber · float · nullableOptional

The maximum discount percentage, when DiscountType is PERCENT_MAXIMUM.

Example: 25
DiscountPercentRangeStartnumber · float · nullableOptional

The lower bound of the discount range, when DiscountType is PERCENT_RANGE.

Example: 5
DiscountPercentRangeEndnumber · float · nullableOptional

The upper bound of the discount range, when DiscountType is PERCENT_RANGE.

Example: 25
Giftstring · nullableOptional

The gift offered, when Type is GIFT_WITH_PURCHASE.

RebateAmountnumber · decimal · nullableOptional

The rebate amount, when Type is REBATE.

Example: 0
RebateCurrencystring · nullableOptional

Three-letter ISO 4217 currency code for the rebate amount.

DefaultPromoCodestring · nullableOptional

The default promo code partners can promote for this deal.

Example: APlusAnvils
StartDatestring · date-time · nullableOptional

The date and time the deal becomes active.

EndDatestring · date-time · nullableOptional

The date and time the deal expires.

SynchAdsPromoCodesbooleanOptional

Whether to synchronize promo codes with ads.

Example: false
RestrictedMediaPartnersstring[]Optional

Partner IDs that are restricted from promoting this deal.

RestrictedMediaPartnerGroupsstring[]Optional

Partner group IDs that are restricted from promoting this deal.

Uristring · uri-referenceOptional

The unique reference to this deal in the impact.com API.

Example: /Advertisers/<AccountSID>/Deals/00003
BogoBuyQuantityintegerOptional

Quantity the customer must buy in a BOGO deal.

Example: 0
BogoBuyScopestring · enum · nullableOptional

Whether the "buy" requirement is a specific product or category.

Possible values:
BogoBuyNamestring · nullableOptional

Name of the item the customer must buy in a BOGO deal.

BogoBuyImageUrlstring · uriOptional

If Type is BOGO, the "buy" product image URL.

BogoGetQuantityintegerOptional

Quantity the customer receives in a BOGO deal.

Example: 0
BogoGetScopestring · enum · nullableOptional

Whether the "get" item is a specific product or category in a BOGO deal.

Possible values:
BogoGetNamestring · nullableOptional

Name of the item the customer receives in a BOGO deal.

BogoGetImageUrlstring · uriOptional

If Type is BOGO, the "get" product image URL.

BogoGetDiscountTypestring · enum · nullableOptional

How the discount on the "get" item is calculated in a BOGO deal.

Possible values:
BogoGetDiscountAmountnumber · decimal · nullableOptional

The flat discount amount on the "get" item in a BOGO deal.

Example: 0
BogoGetDiscountCurrencystring · nullableOptional

Three-letter ISO 4217 currency code for the BOGO get discount amount.

BogoGetDiscountPercentnumber · float · nullableOptional

The discount percentage on the "get" item in a BOGO deal.

Example: 0
PurchaseLimitQuantityintegerOptional

Maximum number of times the deal can be applied per order.

Example: 0
get
/Advertisers/{AccountSID}/Deals/{DealId}
200

A single deal object.

Update a Deal

put

Updates the specified deal by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters
AccountSIDstringRequired
DealIdintegerRequired

The unique identifier for the deal to update.

Body

Fields available for updating an existing deal. All fields are optional; only provided fields are updated.

Note: The following fields appear on the deal object but cannot be updated via API — they are managed in the impact.com platform: Seasonal, DealType, DefaultPromoCode, MinimumPurchaseAmount, MaximumSavingsAmount, LimitedTimeDeal, RestrictedMediaPartners, RestrictedMediaPartnerGroups.

DescriptionstringOptional

A description of the deal that may be shown to partners.

Example: Updated description.
StartDatestring · date-timeOptional

The date and time the deal becomes active.

Example: 2026-01-01T00:00:00-08:00
EndDatestring · date-timeOptional

The date and time the deal expires.

Example: 2026-12-31T23:59:59-08:00
NamestringOptional

The display name of the deal.

Example: AcmeDeal3
SynchAdsPromoCodesbooleanOptional

Whether to synchronize promo codes with ads.

Example: false
DealScopestringOptional

To what extent the deal applies to the store. Enum values: PRODUCT, CATEGORY, ENTIRE_STORE.

DiscountTypestringOptional

What kind of discount a consumer receives. Use only if DealType=GENERAL_SALE. Enum values: FIXED, PERCENT, PERCENT_RANGE, PERCENT_MAXIMUM.

DiscountAmountnumber · decimalOptional

Deal's discount amount. Required when DiscountType=FIXED.

DiscountPercentnumber · floatOptional

Deal's discount percent. Required when DiscountType=PERCENT.

DiscountPercentRangeStartnumber · floatOptional

Beginning of the discount range. Required when DiscountType=PERCENT_RANGE.

DiscountPercentRangeEndnumber · floatOptional

End of the discount range. Required when DiscountType=PERCENT_RANGE.

DiscountMaximumPercentnumber · floatOptional

Maximum discount percent. Required when DiscountType=PERCENT_MAXIMUM.

GiftstringOptional

Name of the gift that comes with a purchase. Required when DealType=GIFT_WITH_PURCHASE.

RebateAmountnumber · decimalOptional

Purchase rebate amount. Required when DealType=REBATE.

BogoBuyNamestringOptional

Name of the "buy" product. Required when DealType=BOGO.

BogoBuyQuantityintegerOptional

"Buy" product quantity available. Required when DealType=BOGO.

BogoBuyScopestringOptional

"Buy" product scope. Required when DealType=BOGO. Enum values: PRODUCT, CATEGORY.

BogoBuyImageFileNamestringOptional

URL to the "buy" product's image. Used when DealType=BOGO.

BogoGetNamestringOptional

"Get" product name. Required when DealType=BOGO.

BogoGetQuantityintegerOptional

"Get" product quantity available. Required when DealType=BOGO.

BogoGetScopestringOptional

"Get" product scope. Required when DealType=BOGO. Enum values: PRODUCT, CATEGORY.

BogoGetDiscountTypestringOptional

"Get" product discount type. Required when DealType=BOGO. Enum values: FREE, AMOUNT, PERCENT.

BogoGetDiscountAmountnumber · decimalOptional

"Get" product discount amount. Required when DealType=BOGO and BogoGetDiscountType=AMOUNT.

BogoGetDiscountPercentnumber · floatOptional

"Get" product discount percentage. Required when DealType=BOGO and BogoGetDiscountType=PERCENT.

BogoGetImageFileNamestringOptional

URL to the "get" product's image. Used when DealType=BOGO.

ProductNamestringOptional

Product's name. Required when DealScope=PRODUCT.

ProductFileNamestringOptional

Product's image file name. Used when DealScope=PRODUCT.

RegularPricenumber · decimalOptional

Product's original price. Used when DealScope=PRODUCT.

DealPricenumber · decimalOptional

Product's deal price. Used when DealScope=PRODUCT.

PurchaseLimitQuantityintegerOptional

Maximum quantity of "buy" product purchasable in one transaction. Enter 0 for no limit. Used when DealScope=PRODUCT.

CategoriesstringOptional

Comma-separated list of deal categories. Used when DealScope=CATEGORY.

Responses
200

The deal was updated successfully.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected deal.

put
/Advertisers/{AccountSID}/Deals/{DealId}
200

The deal was updated successfully.

Delete a Deal

delete

Permanently deletes a deal. This cannot be undone.

Path parameters
AccountSIDstringRequired
DealIdintegerRequired

The unique identifier for the deal to delete.

Responses
200

The deal was deleted successfully.

application/json
StatusstringOptional

Indicates that the deal was deleted.

Example: DELETED
delete
/Advertisers/{AccountSID}/Deals/{DealId}
200

The deal was deleted successfully.

Last updated